Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Class ConfigureRequest

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
          org.eclipse.gmf.runtime.emf.type.core.requests.ConfigureRequest

All Implemented Interfaces:
  IEditCommandRequest

    public class ConfigureRequest

extends AbstractEditCommandRequest

Request to configure a new element with the attributes that it should have according to its element type.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`REPLACE_DEFAULT_COMMAND`

Constructor Summary
`ConfigureRequest(org.eclipse.emf.ecore.EObject elementToConfigure, IElementType typeToConfigure)` Constructs a new configure request.
`ConfigureRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, org.eclipse.emf.ecore.EObject elementToConfigure, IElementType typeToConfigure)` Constructs a new configure request.

Method Summary
`java.lang.Object` `getEditHelperContext()` Gets the edit helper context for this request.
`java.util.List` `getElementsToEdit()` Gets the elements that will be changed when the work is done for this request.
`org.eclipse.emf.ecore.EObject` `getElementToConfigure()` Gets the element to be configured
`IElementType` `getTypeToConfigure()` Gets the element type that defines the attributes that the element should have

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
`addParameters, getClientContext, getDefaultLabel, getEditingDomain, getLabel, getParameter, getParameters, setClientContext, setEditingDomain, setLabel, setParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigureRequest

    public ConfigureRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                            org.eclipse.emf.ecore.EObject elementToConfigure,
                            IElementType typeToConfigure)

  Constructs a new configure request.

  Parameters:
    `editingDomain` - the editing domain in which I am requesting to make model
    `elementToConfigure` - the new element to be configured
    `typeToConfigure` - the element type defining the attributes that the new element should have

### ConfigureRequest

    public ConfigureRequest(org.eclipse.emf.ecore.EObject elementToConfigure,
                            IElementType typeToConfigure)

  Constructs a new configure request. The editing domain will be derived from `elementToConfigure`.

  Parameters:
    `elementToConfigure` - the new element to be configured
    `typeToConfigure` - the element type defining the attributes that the new element should have

Method Detail

### getElementToConfigure

    public org.eclipse.emf.ecore.EObject getElementToConfigure()

  Gets the element to be configured

  Returns:
    the element to be configured

### getTypeToConfigure

    public IElementType getTypeToConfigure()

  Gets the element type that defines the attributes that the element should have

  Returns:
    the element type

### getElementsToEdit

    public java.util.List getElementsToEdit()

  Description copied from interface: `IEditCommandRequest`
  Gets the elements that will be changed when the work is done for this request.

  Specified by:
    `getElementsToEdit` in interface `IEditCommandRequest`
  Overrides:
    `getElementsToEdit` in class `AbstractEditCommandRequest`
  Returns:
    the elements that will be edited

### getEditHelperContext

    public java.lang.Object getEditHelperContext()

  Description copied from interface: `IEditCommandRequest`
  Gets the edit helper context for this request. The context can be an `IElementType` or an `EObject`, or an `IEditHelperContext`. It determines which edit helper should be used to find a command to do the work in the request.

  Returns:
    the edit helper context for this request

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.